%define name AudioCompress
%define version 1.5.2
%define release %mkrel 3

Summary:		Simple dynamic range compressor
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source:			http://trikuare.cx/~magenta/projects/%{name}-%{version}.tar.bz2
#	1.3-3mdk: Disable debugging in compilation
#	1.3-4mdk: Add optflags...
#	1.5-1mdk: Regenerate...
Patch0:			AudioCompress-1.5-1mdk-Makefile.patch.bz2
#	1.5-2mdk: Disable monitor by default
Patch1:			AudioCompress-1.5-2mdk-Monitor.patch.bz2
License:		LGPL
Group:			Sound
BuildRequires:	xmms-devel, gtk+-devel, esound-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

URL:			http://trikuare.cx/code/AudioCompress.html

%description
AudioCompress is (essentially) a very gentle, 1-band dynamic range
compressor intended to keep audio output at a consistent volume without
introducing any audible artifacts.  It can either accept input on
standard input and output audio to standard output or bind to the esound
daemon and apply its effect to all esd output.

Install this if you want a nice way to keep your
audio at a consistent volume level.

%package xmms
Summary:	AudioCompress plugin for xmms
Requires:	xmms
Obsoletes:	xmms-compress <= 1.1
Provides:	xmms-compress > 1.1
License:	LGPL
Group:		Sound

%description xmms
This xmms effect plugin utilizes AudioCompress to (essentially) normalize
audio played through xmms.

%prep
%setup
%patch0 -p0 -b .makefile
%patch1 -p0 -b .monitor

%build
%make CFLAGS="%optflags -fPIC -I/usr/X11R6/include"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/xmms/Effect
cp AudioCompress $RPM_BUILD_ROOT/%{_bindir}
cp libcompress.so $RPM_BUILD_ROOT/%{_libdir}/xmms/Effect/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root,0755)
%doc ChangeLog COPYING README TODO
%{_bindir}/AudioCompress

%files xmms
%defattr (-,root,root,0755)
%doc COPYING
%{_libdir}/xmms/Effect/libcompress.so

%changelog
* Thu Jun 15 2006 Lenny Cartier <lenny@mandriva.com> 1.5.2-3mdv2007.0
- rebuild 

* Fri Sep 16 2005 Pascal Terjan <pterjan@mandriva.org> 1.5.2-2mdk
- add -fPIC

* Mon Nov 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-1mdk
- 1.5.2

* Wed Aug 27 2003 Levi Ramsey <levi@cygnetnet.net> 1.5-2mdk
- Patch1: Disable monitor by default (thx Andre Lourenco)
- [-xmms] Fix xmms-compress Provides/Obsoletes

* Thu Jul 17 2003 Levi Ramsey <levi@cygnetnet.net> 1.5-1mdk
- New version
- Split command-line/esd version from xmms version
- Regenerate Patch0

* Fri Jun 6 2003 Levi Ramsey <levi@cygnetnet.net> 1.3-4mdk
- Patch0: Add optflags
- Disable -debug package

* Sat May 31 2003 Levi Ramsey <levi@cygnetnet.net> 1.3-3mdk
- Patch0: Disable debugging in compilation
- URL

* Fri Apr 24 2003 Levi Ramsey <levi@cygnetnet.net> 1.3-2mdk
- BuildRequires gtk+-devel (thx to Stefan)

* Fri Apr 17 2003 Levi Ramsey <levi@cygnetnet.net> 1.3-1mdk
- new version
- Remove Patch0 & Patch1 (merged upstream)
- NOTE: command-line options have changed from my patch in 1.2.1-3mdk

* Fri Apr 04 2003 Levi Ramsey <levi@cygnetnet.net> 1.2.1-3mdk
- Disable Patch0 (Patch1 is a better solution to the problem)
- Patch1: add commandline options to enable/disable monitor; only display
	monitor when run from X

* Wed Apr 02 2003 Levi Ramsey <levi@cygnetnet.net> 1.2.1-2mdk
- Patch0: disable monitor in AudioCompress to allow use on the console;
	xmms plugin is not affected

* Tue Mar 11 2003 Levi Ramsey <levi@cygnetnet.net> 1.2.1-1mdk
- name-change from xmms-compress to AudioCompress
- obsoletes xmms-compress
- description
- New file: AudioCompress

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1-2mdk
- rebuild

* Wed Aug 21 2002 Levi Ramsey <levi@cygnetnet.net> 1.1-1mdk
- Initial Cooker contrib
